# RPM specfile for libcapplet module
# Generated Fri Dec 14 15:56:52 2001 GMT by Ximian build system
# $Id: bb_do,v 1.154 2001/11/27 20:49:37 thunder Exp $
# from $Id: ximian-build.conf,v 1.3 2001/12/13 22:58:25 dobey Exp $

%define nam	libcapplet
%define ver	1.5.11

Name:     	libcapplet1
Version: 	1.5.11
Release:	ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 6.2 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/doc
URL:		http://www.gnome.org/
Source0:	libcapplet-1.5.11.tar.gz
Summary:	Library for Gnome Control Center applets
Group:		System Environment/Libraries
Obsoletes:	libcapplet

%description
Gnome is the "GNU Network Object Model Environment"

It is a project to build a complete, user-friendly desktop based
entirely on free software.

This library is used by Gnome control center applets.

%files
%defattr(-, root, root)
%doc COPYING ChangeLog AUTHORS INSTALL NEWS README
/usr/lib/lib*.so.*


%post
ldconfig

%package -n libcapplet-devel
Summary:	Library for Gnome Control Center applets - Development
Group:		Development/Libraries
Requires:	libcapplet1 = %{PACKAGE_VERSION}

%description -n libcapplet-devel
Gnome is the "GNU Network Object Model Environment"

It is a project to build a complete, user-friendly desktop based
entirely on free software.

This library is used by Gnome control center applets.

%files -n libcapplet-devel
%defattr(-, root, root)
/usr/lib/*a
/usr/lib/lib*.so
/usr/lib/*.sh
/usr/include/*
/usr/lib/pkgconfig/*.pc
/usr/*/locale/*/LC_MESSAGES/libcapplet.mo


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n libcapplet-1.5.11
    ;;
all)
%setup  -q -n libcapplet-1.5.11
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/man --infodir=/usr/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/man infodir=${DESTDIR}/usr/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Fri Dec 14 2001 Ximian, Inc.

- Version: 1.5.11-ximian.1
- New upstream version.

* Thu Dec 13 2001 Ximian, Inc.

- Version: 1.5.8-ximian.3
- New upstream version.

* Wed Nov 28 2001 Ximian, Inc.

- Version: 1.5.8-ximian.2
- New upstream version.

* Thu Nov  8 2001 thunder

- Version: 1.5.8-ximian.1
- Imported into packaging system.

